# SecService | botserver

### Hierarchy

- SecService
  - SecService
    - SecService

## Index

### Methods

- ensureUser
- importSecurityFile

## Methods

### ensureUser

- ensureUser(instanceId: number, userSystemId: string, userName: string, address: string, channelName: string, displayName: string): Promise< GuaribasUser >

- - Defined in deploy/security.gblib/services/SecService.ts:74

  #### Parameters

  - ##### instanceId: number

  - ##### userSystemId: string

  - ##### userName: string

  - ##### address: string

  - ##### channelName: string

  - ##### displayName: string

  #### Returns Promise< GuaribasUser >

### importSecurityFile

- importSecurityFile(localPath: string, instance: IGBInstance): Promise<void>

- - Defined in deploy/security.gblib/services/SecService.ts:47

  #### Parameters

  - ##### localPath: string

  - ##### instance: IGBInstance

  #### Returns Promise<void>

Generated using TypeDoc